Get organizations
curl --request GET \
--url https://api.twine.se/v1/org \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.twine.se/v1/org"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.twine.se/v1/org', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"custom_properties": [
{
"domain": "employee",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"property": "shoe_size",
"type": "enum",
"description": "The size of the employee's shoes",
"list": false,
"reference_domain": "employee"
}
],
"delete_protection": true,
"delete_protection_disabled_at": "2021-06-01T12:00:00Z",
"name": "AcmeCorp Inc.",
"owner_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"parent_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"roles": [
{
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"name": "Admin Role",
"tokens": [
{
"exp": 1672531199,
"jti": "<string>",
"jwt": "s3cr3t-t0k3n",
"typ": "access"
}
]
}
],
"vat": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b"
}
],
"pagination": {
"end_cursor": "<string>",
"has_next_page": true,
"has_previous_page": true,
"start_cursor": "<string>"
}
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}{
"code": 500,
"errors": [],
"message": "Internal Server Error"
}Organizations
Get organizations
Get a list of organizations accessible to the authenticated role. Supports cursor-based pagination.
GET
/
v1
/
org
Get organizations
Authorizations
Bearer token for authentication
Query Parameters
Cursor pagination
Show child attributes
Show child attributes
⌘I